#!/bin/bash

#chmod +x debian/preinst

set -e

# Создаем пользователя и группу
if ! getent group gpio-monitor >/dev/null; then
    groupadd --system gpio-monitor
fi

if ! getent passwd gpio-monitor >/dev/null; then
    useradd --system \
            --gid gpio-monitor \
            --home /var/lib/gpio-monitoring \
            --shell /usr/sbin/nologin \
            --comment "GPIO Monitor Service" \
            gpio-monitor
fi

# Добавляем пользователя в нужные группы для доступа к GPIO
usermod -a -G gpio,dialout,gpio-monitor gpio-monitor 2>/dev/null || true

exit 0
